%%textdomain fatdoghelp
![ ](fatdog64.png)
# OpenGL 2.1 and Intel Graphics

From Februrary 2017 onwards, Mesa (the open-source OpenGL library) has dropped OpenGL 2.1 support for certain older and less capable Intel graphic cards.

If you need to run applications that need OpenGL 2.1 (e.g. blender) for these cards, it is possible to retro-fit the the OpenGL 2.1 support.

This is done editing /etc/drirc and adding the following snippets:

```sh
<driconf>
...
    <device driver="i915">
        <application name="Default">
            <option name="stub_occlusion_query" value="true" />
            <option name="fragment_shader" value="true" />
        </application>
    </device>
...
</driconf>
```

----------------------

References:

 * https://www.phoronix.com/scan.php?page=news_item&px=Mesa-i915-OpenGL-2-Drop
 * https://www.phoronix.com/scan.php?page=news_item&px=OpenGL-1.4-i915-Now-Default
 * https://wiki.archlinux.org/index.php/Intel_graphics#OpenGL_2.1_with_i915_driver
